mob/Login()
	..()
	src.Play_Slots()

///////////////////////////////////////////////////////////////////////////////////
// First off, this is a slot machine, it works with client objects so everything //
// is visible out of the box, basically. I haven't done much actual testing...   //
// So you never know when everything is just going to explode in your face.  Not //
// really, but anyways... if anything does break, and I don't just mean that you //
// don't understand how to get it working, I mean if it really is broken then    //
// you can contact me.															 //
//	                                                            		         //
// email:	mikau@tibbius.com {subject: m_onmap}                		         //
// msn:		mikau@tibbius.com										    		 //
// yahoo:	mikau1315														     //
// aim:		darkmikau15														     //
// I'm also reachable through the pager, or you can leave a message on my forum  //
///////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////
// For implementation, you'll want to remove the "turf/crap" as well as the icon //
// in the Reels.dmi that corresponds with it.  Then also want to remove the skin //
// file and the map file, which will just leave you with the slot machine itself //
// After that, depending on the size of your view, you'll want to change the     //
// offset variables to center the machine on your map.  You will have to change  //
// the currency variable as well in order to have the machine effect your money  //
// Last you'll want to create an object in your game to access the play verb.    //
// All of this is explained above what you're doing, so just read on.            //
///////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////
// This is just for testing, you can delete it once   //
// the slot machine is in the game, as well as the    //
// icon in the Reels.dmi                              //
////////////////////////////////////////////////////////

turf/crap {icon='Reels.dmi';icon_state="back"}

////////////////////////////////////////////////////////
// You'll need to modify the verb so that it's		  //
// currency matches yours. You'll also want to change //
// it to a proc, and have it accessed from an object  //
// in your game.									  //
////////////////////////////////////////////////////////

mob/verb/Play_Slots()
	if(src.playing)
		for(var/obj/A in client.screen) del A
		src.playing=!src.playing
		src.currency=src.credits // change currency to your games "money"
	else
		for(var/A in typesof(/obj/reels)-/obj/reels) new A(src.client)
		for(var/B in typesof(/obj/Machine)-/obj/Machine) new B(src.client)
		src.playing=!src.playing
		src.credits=src.currency // likewise here, change this to your "money"
		src.display()

mob/var
	currency=50 //erase this variable completely when you change the above currency
	reel1 //The first picture on the slot machine
	reel2 //The second picture on the slot machine
	reel3 //The third picture on the slot machine
	prize //The prize that is won after the slot machine is played.
	bet=1 //How much the player bets in the slot machine.
	spinning //Variable to hold information to check if the slot machine is playing
	credits=0 //The amount the player has to play with.
	playing //Variable to hold information to check if the slot machine is on the screen.

	prize9=500
	prize8=250
	prize7=200
	prize6=150
	prize5=50
	prize4=25
	prize3=10
	prize2=5
	prize1=1

////////////////////////////////////////////////////////
// Depending on the size of your view, you'll want to //
// change these offsets to center the machine on the  //
// screen.  They'll all have to be the same number to //
// display properly.								  //
////////////////////////////////////////////////////////

	offset=0
obj/Machine/var/offset=0
obj/reels/var/offset=0

////////////////////////////////////////////////////////
// What's below here you likely won't want or need to //
// play with, however if you really feel the need to  //
// play with it, feel free.  However, don't blame me  //
// if you break something.							  //
////////////////////////////////////////////////////////

mob/proc
	Gather_Info()
		for(var/obj/reels/A in client.screen) A.icon_state=null
		src.credits-=src.bet

		sleep(5) //suspence

		reel1=rand(1,64)
		if(reel1 in list(20,21,22,60,61,62)) reel1 = 2
		else if(reel1 in list(1,2,3,35,36,56,57)) reel1 = 3
		else if(reel1 in list(6,7,39,51,52,53)) reel1 = 4
		else if(reel1 in list(26,27,28,29,30,31)) reel1 = 5
		else if(reel1 in list(11,12,13,14,15,16)) reel1 = 6
		else if(reel1 in list(45)) reel1 = 7
		else reel1 = 1
		for(var/obj/reels/slot1/A in client.screen) A.icon_state="[reel1]"

		sleep(5) //more suspence

		reel2=rand(1,64)
		if(reel2 in list(14,15,16,17,59,60,61,62)) reel2 = 2
		else if(reel2 in list(1,2,31,32,55,56)) reel2 = 3
		else if(reel2 in list(5,6,35,36,50,51,52)) reel2 = 4
		else if(reel2 in list(21,22,23,24,25,26,27)) reel2 = 5
		else if(reel2 in list(10)) reel2 = 6
		else if(reel2 in list(42,43,44)) reel2 = 7
		else reel2 = 1
		for(var/obj/reels/slot2/A in client.screen) A.icon_state="[reel2]"

		sleep(5) //woah god the suspence!!!

		reel3=rand(1,64)
		if(reel3 in list(20,21,22,23,24,59,60,61,62)) reel3 = 2
		else if(reel3 in list(1,2,3,32,33,34,54,55,56)) reel3 = 3
		else if(reel3 in list(6,37,49,50,51)) reel3 = 4
		else if(reel3 in list(28)) reel3 = 5
		else if(reel3 in list(10,11,12,13,14,15,16)) reel3 = 6
		else if(reel3 in list(43)) reel3 = 7
		else reel3 = 1
		for(var/obj/reels/slot3/A in client.screen) A.icon_state="[reel3]"
		src.Check_Score() // You probably lost though.  Hah.
	Check_Score()
		src.prize=0
		if(reel1==7&&reel2==6&&reel3==5) src.prize=prize9
		else if(reel1==7&&reel2==7&&reel3==7) src.prize=prize8
		else if(reel1==6&&reel2==6&&reel3==6) src.prize=prize7
		else if(reel1==5&&reel2==5&&reel3==5) src.prize=prize7
		else if(reel1==5&&reel2==5&&reel3==6|| reel1==5&&reel2==5&&reel3==7|| reel1==5&&reel2==6&&reel3==5|| reel1==5&&reel2==6&&reel3==6|| reel1==5&&reel2==6&&reel3==7|| reel1==5&&reel2==7&&reel3==5|| reel1==5&&reel2==7&&reel3==6|| reel1==5&&reel2==7&&reel3==7|| reel1==6&&reel2==5&&reel3==5|| reel1==6&&reel2==5&&reel3==6|| reel1==6&&reel2==5&&reel3==7|| reel1==6&&reel2==6&&reel3==5|| reel1==6&&reel2==6&&reel3==7|| reel1==6&&reel2==7&&reel3==5|| reel1==6&&reel2==7&&reel3==6|| reel1==6&&reel2==7&&reel3==7|| reel1==7&&reel2==5&&reel3==5|| reel1==7&&reel2==5&&reel3==6|| reel1==7&&reel2==5&&reel3==7|| reel1==7&&reel2==6&&reel3==5|| reel1==7&&reel2==6&&reel3==6|| reel1==7&&reel2==6&&reel3==7|| reel1==7&&reel2==7&&reel3==5|| reel1==7&&reel2==7&&reel3==6) src.prize=prize6
		else if(reel1==4&&reel2==4&&reel3==4) src.prize=prize5
		else if(reel1==3&&reel2==3&&reel3==3) src.prize=prize4
		else if(reel1==2&&reel2==2&&reel3==2) src.prize=prize3
		else if(reel1==2&&reel2==2&&reel3==3|| reel1==2&&reel2==2&&reel3==4|| reel1==2&&reel2==3&&reel3==2|| reel1==2&&reel2==3&&reel3==3|| reel1==2&&reel2==3&&reel3==4|| reel1==2&&reel2==4&&reel3==2|| reel1==2&&reel2==4&&reel3==3|| reel1==2&&reel2==4&&reel3==4|| reel1==3&&reel2==2&&reel3==2|| reel1==3&&reel2==2&&reel3==3|| reel1==3&&reel2==2&&reel3==4|| reel1==3&&reel2==3&&reel3==2|| reel1==3&&reel2==3&&reel3==4|| reel1==3&&reel2==4&&reel3==2|| reel1==3&&reel2==4&&reel3==3|| reel1==3&&reel2==4&&reel3==4|| reel1==4&&reel2==2&&reel3==2|| reel1==4&&reel2==2&&reel3==3|| reel1==4&&reel2==2&&reel3==4|| reel1==4&&reel2==3&&reel3==2|| reel1==4&&reel2==3&&reel3==3|| reel1==4&&reel2==3&&reel3==4|| reel1==4&&reel2==4&&reel3==2|| reel1==4&&reel2==4&&reel3==3) src.prize=prize2
		else if(reel1==1&&reel2==1&&reel3==1) src.prize=prize1
		if(src.prize)
			src.prize=src.prize*src.bet
			src.credits+=src.prize
			src.prize=0
		src.spinning=!src.spinning // You spin me right round baby right round.

	Bet_Button()
		if(!spinning)
			if(src.bet>=src.credits)
				src<<"You can't bet more than you have."
				return
			else
				src<<'ding.ogg'
				for(var/obj/Machine/m64/A in client.screen)
					A.icon_state="g1"
					spawn(2)
					A.icon_state="64"
				for(var/obj/Machine/m65/A in client.screen)
					A.icon_state="g2"
					spawn(2)
					A.icon_state="65"
				src.bet+=1
	Cancel_Button()
		if(!spinning)
			for(var/obj/Machine/m66/A in client.screen)
				A.icon_state="r1"
				spawn(2)
				A.icon_state="66"
			for(var/obj/Machine/m67/A in client.screen)
				A.icon_state="r2"
				spawn(2)
				A.icon_state="67"
			src.bet=1
	Pull_Arm() // STOP PULLING MY ARMS! >:(
		if(src.bet>=src.credits) src.bet=src.credits
		if(!spinning&&src.credits>=1)
			src.spinning=!src.spinning
			src<<'lever.ogg'
			for(var/obj/Machine/m28/A in client.screen) {A.icon_state="s1"; spawn(2) {A.icon_state="d1"; spawn(9) {A.icon_state="s1"; spawn(1) A.icon_state="28"}}}
			for(var/obj/Machine/m29/A in client.screen) {A.icon_state="s2"; spawn(2) {A.icon_state="d2"; spawn(9) {A.icon_state="s2"; spawn(1) A.icon_state="29"}}}
			for(var/obj/Machine/m38/A in client.screen) {A.icon_state="s3"; spawn(2) {A.icon_state="d3"; spawn(9) {A.icon_state="s3"; spawn(1) A.icon_state="38"}}}
			for(var/obj/Machine/m39/A in client.screen) {A.icon_state="s4"; spawn(2) {A.icon_state="d4"; spawn(9) {A.icon_state="s4"; spawn(1) A.icon_state="39"}}}
			for(var/obj/Machine/m48/A in client.screen) {A.icon_state="s5"; spawn(2) {A.icon_state="d5"; spawn(9) {A.icon_state="s5"; spawn(1) A.icon_state="48"}}}
			for(var/obj/Machine/m49/A in client.screen) {A.icon_state="s6"; spawn(2) {A.icon_state="d6"; spawn(9) {A.icon_state="s6"; spawn(1) A.icon_state="49"}}}
			for(var/obj/Machine/m58/A in client.screen) {A.icon_state="s7"; spawn(2) {A.icon_state="d7"; spawn(9) {A.icon_state="s7"; spawn(1) A.icon_state="58"}}}
			for(var/obj/Machine/m59/A in client.screen) {A.icon_state="s8"; spawn(2) {A.icon_state="d8"; spawn(9) {A.icon_state="s8"; spawn(1) A.icon_state="59"}}}
			for(var/obj/Machine/m50/A in client.screen) {spawn(2) {A.icon_state="d9"; spawn(9) A.icon_state="50"}}
			for(var/obj/Machine/m60/A in client.screen) {spawn(2) {A.icon_state="d10"; spawn(9) A.icon_state="60"}}
			src.Gather_Info()

obj
	Machine
		icon='Machine.dmi'
		layer=MOB_LAYER+100
		var
			xloc=0
			yloc=0
		m1{xloc=1; yloc=10; New(client/C) {icon_state="1"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m2{xloc=2; yloc=10; New(client/C) {icon_state="2"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m3{xloc=3; yloc=10; New(client/C) {icon_state="3"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m4{xloc=4; yloc=10; New(client/C) {icon_state="4"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m5{xloc=5; yloc=10; New(client/C) {icon_state="5"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m6{xloc=6; yloc=10; New(client/C) {icon_state="6"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m7{xloc=7; yloc=10; New(client/C) {icon_state="7"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m8{xloc=8; yloc=10; New(client/C) {icon_state="8"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m9{xloc=9; yloc=10; New(client/C) {icon_state="9"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m10{xloc=10; yloc=10; New(client/C) {icon_state="10"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m11{xloc=1; yloc=9; New(client/C) {icon_state="11"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m12{xloc=2; yloc=9; New(client/C) {icon_state="12"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m13{xloc=3; yloc=9; New(client/C) {icon_state="13"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m14{xloc=4; yloc=9; New(client/C) {icon_state="14"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m15{xloc=5; yloc=9; New(client/C) {icon_state="15"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m16{xloc=6; yloc=9; New(client/C) {icon_state="16"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m17{xloc=7; yloc=9; New(client/C) {icon_state="17"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m18{xloc=8; yloc=9; New(client/C) {icon_state="18"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m19{xloc=9; yloc=9; New(client/C) {icon_state="19"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m20{xloc=10; yloc=9; New(client/C) {icon_state="20"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m21{xloc=1; yloc=8; New(client/C) {icon_state="21"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m22{xloc=2; yloc=8; New(client/C) {icon_state="22"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m23{xloc=3; yloc=8; New(client/C) {icon_state="23"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m24{xloc=4; yloc=8; New(client/C) {icon_state="24"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m25{xloc=5; yloc=8; New(client/C) {icon_state="25"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m26{xloc=6; yloc=8; New(client/C) {icon_state="26"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m27{xloc=7; yloc=8; New(client/C) {icon_state="27"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m28{xloc=8; yloc=8; New(client/C) {icon_state="28"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m29{xloc=9; yloc=8; New(client/C) {icon_state="29"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m30{xloc=10; yloc=8; New(client/C) {icon_state="30"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m31{xloc=1; yloc=7; New(client/C) {icon_state="31"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m32{xloc=2; yloc=7; New(client/C) {icon_state="32"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m33{xloc=3; yloc=7; New(client/C) {icon_state="33"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m34{xloc=4; yloc=7; New(client/C) {icon_state="34"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m35{xloc=5; yloc=7; New(client/C) {icon_state="35"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m36{xloc=6; yloc=7; New(client/C) {icon_state="36"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m37{xloc=7; yloc=7; New(client/C) {icon_state="37"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m38{xloc=8; yloc=7; New(client/C) {icon_state="38"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m39{xloc=9; yloc=7; New(client/C) {icon_state="39"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m40{xloc=10; yloc=7; New(client/C) {icon_state="40"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m41{xloc=1; yloc=6; New(client/C) {icon_state="41"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m42{xloc=2; yloc=6; New(client/C) {icon_state="42"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m43{xloc=3; yloc=6; New(client/C) {icon_state="43"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m44{xloc=4; yloc=6; New(client/C) {icon_state="44"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m45{xloc=5; yloc=6; New(client/C) {icon_state="45"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m46{xloc=6; yloc=6; New(client/C) {icon_state="46"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m47{xloc=7; yloc=6; New(client/C) {icon_state="47"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m48{xloc=8; yloc=6; New(client/C) {icon_state="48"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m49{xloc=9; yloc=6; New(client/C) {icon_state="49"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m50{xloc=10; yloc=6; New(client/C) {icon_state="50"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m51{xloc=1; yloc=5; New(client/C) {icon_state="51"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m52{xloc=2; yloc=5; New(client/C) {icon_state="52"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m53{xloc=3; yloc=5; New(client/C) {icon_state="53"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m54{xloc=4; yloc=5; New(client/C) {icon_state="54"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m55{xloc=5; yloc=5; New(client/C) {icon_state="55"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m56{xloc=6; yloc=5; New(client/C) {icon_state="56"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m57{xloc=7; yloc=5; New(client/C) {icon_state="57"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m58{xloc=8; yloc=5; New(client/C) {icon_state="58"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m59{xloc=9; yloc=5; New(client/C) {icon_state="59"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Pull_Arm()}; else return}}
		m60{xloc=10; yloc=5; New(client/C) {icon_state="60"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m61{xloc=1; yloc=4; New(client/C) {icon_state="61"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m62{xloc=2; yloc=4; New(client/C) {icon_state="62"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m63{xloc=3; yloc=4; New(client/C) {icon_state="63"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m64{xloc=4; yloc=4; New(client/C) {icon_state="64"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Bet_Button()}; else return}}
		m65{xloc=5; yloc=4; New(client/C) {icon_state="65"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Bet_Button()}; else return}}
		m66{xloc=6; yloc=4; New(client/C) {icon_state="66"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Cancel_Button()}; else return}}
		m67{xloc=7; yloc=4; New(client/C) {icon_state="67"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}; Click() {if(!usr.spinning) {usr.Cancel_Button()}; else return}}
		m68{xloc=8; yloc=4; New(client/C) {icon_state="68"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m69{xloc=9; yloc=4; New(client/C) {icon_state="69"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m70{xloc=10; yloc=4; New(client/C) {icon_state="70"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m71{xloc=1; yloc=3; New(client/C) {icon_state="71"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m72{xloc=2; yloc=3; New(client/C) {icon_state="72"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m73{xloc=3; yloc=3; New(client/C) {icon_state="73"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m74{xloc=4; yloc=3; New(client/C) {icon_state="74"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m75{xloc=5; yloc=3; New(client/C) {icon_state="75"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m76{xloc=6; yloc=3; New(client/C) {icon_state="76"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m77{xloc=7; yloc=3; New(client/C) {icon_state="77"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m78{xloc=8; yloc=3; New(client/C) {icon_state="78"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m79{xloc=9; yloc=3; New(client/C) {icon_state="79"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m80{xloc=10; yloc=3; New(client/C) {icon_state="80"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m81{xloc=1; yloc=2; New(client/C) {icon_state="81"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m82{xloc=2; yloc=2; New(client/C) {icon_state="82"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m83{xloc=3; yloc=2; New(client/C) {icon_state="83"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m84{xloc=4; yloc=2; New(client/C) {icon_state="84"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m85{xloc=5; yloc=2; New(client/C) {icon_state="85"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m86{xloc=6; yloc=2; New(client/C) {icon_state="86"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m87{xloc=7; yloc=2; New(client/C) {icon_state="87"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m88{xloc=8; yloc=2; New(client/C) {icon_state="88"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m89{xloc=9; yloc=2; New(client/C) {icon_state="89"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m90{xloc=10; yloc=2; New(client/C) {icon_state="90"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m91{xloc=1; yloc=1; New(client/C) {icon_state="91"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m92{xloc=2; yloc=1; New(client/C) {icon_state="92"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m93{xloc=3; yloc=1; New(client/C) {icon_state="93"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m94{xloc=4; yloc=1; New(client/C) {icon_state="94"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m95{xloc=5; yloc=1; New(client/C) {icon_state="95"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m96{xloc=6; yloc=1; New(client/C) {icon_state="96"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m97{xloc=7; yloc=1; New(client/C) {icon_state="97"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m98{xloc=8; yloc=1; New(client/C) {icon_state="98"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m99{xloc=9; yloc=1; New(client/C) {icon_state="99"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
		m100{xloc=10; yloc=1; New(client/C) {icon_state="100"; src.screen_loc="[src.xloc+offset],[src.yloc+offset]"; C.screen+=src}}
	reels
		layer=MOB_LAYER+1000
		icon='Reels.dmi'
		var
			xloc=0
			yloc=0
		slot1{xloc=4; yloc=7; New(client/C) {src.screen_loc="[src.xloc+offset]:-4,[src.yloc+offset]:-10"; C.screen+=src}}
		slot2{xloc=5; yloc=7; New(client/C) {src.screen_loc="[src.xloc+offset]:16,[src.yloc+offset]:-10"; C.screen+=src}}
		slot3{xloc=7; yloc=7; New(client/C) {src.screen_loc="[src.xloc+offset]:4,[src.yloc+offset]:-10"; C.screen+=src}}

obj
	numbers //lulz dat show sux
		icon='Visual.dmi'
		display{New(client/C) C.screen+=src; layer=MOB_LAYER+1000}

mob/proc/display()
	for(var/obj/numbers/display/X in client.screen)
		del(X)
	if(!playing) return
	else
		var
			credit=num2text(src.credits,10)
			bet=num2text(src.bet,10)
			creditname="credits"
			betname="bet"
			creditloc=-27
			betloc=-27
			creditnameloc=4
			betnameloc=4
			offset=src.offset
		for(var/pos=length(credit); pos>0; pos--)
			var/info=copytext(credit, pos, pos+1)
			var/obj/numbers/display/X=new(src.client)
			X.icon_state=info
			X.screen_loc="[8+offset]:[creditloc],[8+offset]:6"
			creditloc-=9
		for(var/pos=length(bet); pos>0; pos--)
			var/info=copytext(bet, pos, pos+1)
			var/obj/numbers/display/X = new(src.client)
			X.icon_state=info
			X.screen_loc="[8+offset]:[betloc],[5+offset]:8"
			betloc-=9
		for(var/pos=1; pos<=length(creditname); pos++)
			var/info=copytext(creditname, pos, pos+1)
			var/obj/numbers/display/X=new(src.client)
			X.icon_state=info
			X.screen_loc="[3+offset]:[creditnameloc],[8+offset]:6"
			creditnameloc+=9
		for(var/pos=1; pos<=length(betname); pos++)
			var/info=copytext(betname, pos, pos+1)
			var/obj/numbers/display/X=new(src.client)
			X.icon_state=info
			X.screen_loc="[3+offset]:[betnameloc],[5+offset]:8"
			betnameloc+=9
		spawn(1) display() //spawn is pretty badass, with his cape and all